package com.eco.plugin.xx.stsxit.config;

import com.fr.config.*;
import com.fr.config.holder.Conf;
import com.fr.config.holder.factory.Holders;
import com.fr.intelli.record.Focus;
import com.fr.intelli.record.Original;
import com.fr.record.analyzer.EnableMetrics;

@Visualization(category = "Plugin-Config-Title")
@EnableMetrics
public class PluginSimpleConfig extends DefaultConfiguration {

    private static volatile PluginSimpleConfig config = null;

    @Focus(id="com.eco.plugin.xx.stsxit.config", text = "Plugin-Config-Title", source = Original.PLUGIN)
    public static PluginSimpleConfig getInstance() {
        if (config == null) {
            config = ConfigContext.getConfigInstance(PluginSimpleConfig.class);
        }
        return config;
    }

    @Identifier(value = "url", name = "Plugin-Config-IT", description = "Plugin-Config-IT", status = Status.SHOW)
    private Conf<String> url = Holders.simple("");

    public String getUrl() {
        return url.get();
    }

    public void setUrl(String url) {
        this.url.set(url);
    }

    @Override
    public Object clone() throws CloneNotSupportedException {
        PluginSimpleConfig cloned = (PluginSimpleConfig) super.clone();
        return cloned;
    }

}
